Subject: Scilab scientific software

From: Nicolas Graves <[email-masked]>
Date: Wed, 01 Feb 2023 02:07:00 +0100

Hi guix!

I took a job where I have to use the scientific software suite Scilab in
an old version (5.4.1). I'll probably update it during this job.

I managed to package this version in the non-graphical version of Scilab
5.5.X versions this weekend.

It needs some old software libraries (metis@4, suitesparse@3), which
releases are not even in guix's history, and some compilation errors
fixes.

I go ahead and propose these patches in the next patches. I may continue
to work to propose updates up to the latest versions, but they need some
more work.

-- 
Best regards,
Nicolas Graves